From 761f7d8f0eaadd683abc060a88be345c2351daab Mon Sep 17 00:00:00 2001
From: Amit Kapila <akapila@postgresql.org>
Date: Tue, 27 Oct 2020 09:05:22 +0530
Subject: [PATCH] Minor improvements in description of spilled counters in
 pg_stat_replication_slots view.

Per suggestion by Justin Pryzby.
---
 doc/src/sgml/monitoring.sgml | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index aeb694d..89671d9 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -2614,10 +2614,9 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         <structfield>spill_count</structfield> <type>bigint</type>
        </para>
        <para>
-        Number of times transactions were spilled to disk while performing
-        decoding of changes from WAL for this slot. Transactions
-        may get spilled repeatedly, and this counter gets incremented on every
-        such invocation.
+        Number of times transactions were spilled to disk while decoding changes
+        from WAL for this slot. Transactions may get spilled repeatedly, and
+        this counter gets incremented on every such invocation.
       </para></entry>
      </row>
 
@@ -2628,8 +2627,8 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
        <para>
         Amount of decoded transaction data spilled to disk while performing
         decoding of changes from WAL for this slot. This and other spill
-        counters can be used to gauge the I/O occurred during logical decoding
-        and accordingly can tune <literal>logical_decoding_work_mem</literal>.
+        counters can be used to gauge the I/O which occurred during logical
+        decoding and accordingly allow tuning  <literal>logical_decoding_work_mem</literal>.
       </para></entry>
      </row>
 
-- 
1.8.3.1

